Bug 164138 - 2 * missing return statements
2 * missing return statements
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 07:01 EDT by David Binderman
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 05:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-25 07:01:53 EDT
Description of problem:
I just tried to compile Redhat Fedora package
OpenIPMI-1.4.14-5 with the Intel C compiler version 8.1

The compiler said

1.

ipmi_chassis.c(433): warning #1011: missing return statement at end of non-void
function "ipmi_chassis_get_bootparam"

I've checked the source code, and I suggest adding a return statement
to the end of the function.

2.

ipmi_event.c(83): warning #1011: missing return statement at end of non-void
function "ipmi_event_msg_print"

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2005-09-08 05:24:04 EDT
Fixed in latest development package.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.